Skip to main content
GET
/
api
/
public
/
organizations
/
{id}
Get an organization
curl --request GET \
  --url https://charts.basedash.com/api/public/organizations/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://charts.basedash.com/api/public/organizations/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://charts.basedash.com/api/public/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "customAiContext": "<string>",
    "insightsAiContext": "<string>",
    "fullEmbedEnabled": true,
    "embedAllowedOrigins": [
      "<string>"
    ],
    "isBillable": true,
    "insightsEnabled": true,
    "insightsPreferredDayOfWeek": 123,
    "insightsPreferredDayOfMonth": 123,
    "allowOnDemandAiUsage": true,
    "aiUsageOverageLimitCents": 123,
    "billingEmail": "<string>",
    "sendInvoicesToBillingEmail": true,
    "trialEndsAt": "<string>",
    "jwtSecret": "<string>"
  }
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}
{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format: Bearer <basedash_api_key>

Path Parameters

id
string
required

Organization ID

Query Parameters

include
enum<string>

Include sensitive fields in the response. Use jwtSecret to include the embed JWT secret (requires admin access).

Available options:
jwtSecret

Response

Organization retrieved successfully. The jwtSecret field is only included when explicitly requested via ?include=jwtSecret and the user has admin access.

data
object
required